function chk(frm){

    // 入荷日入力チェックを行う
    $from = frm.elements["from_arrival_date"].value;
    if($from != ""){

        if($from.match( /[^0-9]+/ )){
            alert("入荷日には半角数字を入力して下さい");
            return false;
        }
        if($from.length != 8){
            alert("入荷日には数字8文字を入力して下さい");
            return false;     
        }
        var d_year = $from.substr(0,4);
        var d_month = $from.substr(4,2)-1;
        var d_day = $from.substr(6,2);
        var d_year_f = $from.substr(0,1);

        if(d_year_f != 2){ 
            alert("日付が無効です");
            return false;
        }
        if (d_month >=0  && d_month <= 11 && d_day >= 1 && d_day <= 31) { 
            var d_date = new Date(d_year, d_month, d_day); 
            if(isNaN(d_date)){ 
                alert("日付が無効です");
                return false; 
            } else if (d_date.getFullYear() == d_year && d_date.getMonth() == d_month && d_date.getDate() == d_day) { 
            } else {
                alert("日付が無効です");
                return false;
            }
        } else {
            alert("日付が無効です"); 
            return false; 
        }
    }

    // 入荷日入力チェックを行う
    $to = frm.elements["to_arrival_date"].value;
    if($to != ""){
        if($to.match( /[^0-9]+/ )){
            alert("入荷日には半角数字を入力して下さい");
            return false;
        }
        if($to.length != 8){
            alert("入荷日には数字8文字を入力して下さい");
            return false;     
        }
        var d_year = $to.substr(0,4);
        var d_month = $to.substr(4,2)-1;
        var d_day = $to.substr(6,2);
        var d_year_f = $to.substr(0,1);

        if(d_year_f != 2){ 
            alert("日付が無効です");
            return false;
        }
        if (d_month >=0  && d_month <= 11 && d_day >= 1 && d_day <= 31) { 
            var d_date = new Date(d_year, d_month, d_day); 
            if(isNaN(d_date)){ 
                alert("日付が無効です");
                return false; 
            } else if (d_date.getFullYear() == d_year && d_date.getMonth() == d_month && d_date.getDate() == d_day) { 
            } else {
                alert("日付が無効です");
                return false;
            }
        } else {
            alert("日付が無効です"); 
            return false; 
        }
    }

    if ($from > 0 && $to > 0 && $from > $to) {
        alert("日付が無効です");
        return false;
    }

 // 入荷数の半角チェック
    $from_num = frm.elements["from_order_num"].value;
    if ($from_num != "") {
        if($from_num.match(/[^0-9]+/)){
            alert("入荷数は半角数字を入力してください");
            return false;
        }
    }

    $to_num = frm.elements["to_order_num"].value;
    if ($to_num != "") {
        if($to_num.match(/[^0-9]+/)){
            alert("入荷数は半角数字を入力してください");
            return false;
        }
    }
    if ($from_num >= 0 && $to_num >= 0 && $from_num > $to_num) {
        alert("入荷数が無効です");
        return false;
    }
 
 // エラーがなければtrueを返却
    return true;

}
